MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024845Open CASCADE[OCCT] OCCT:Codingpublic2014-04-16 16:562014-05-05 13:39
Reporterski 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024845: CLang warnings -Wunused-variable
DescriptionCLang on Mac OS X 10.9 reports multiple warnings -Wunused-variable which in most cases indicate wrong code:
ShapeFix_IntersectionTool.cxx:838:13: warning: unused variable 'aTotalBox' [-Wunused-variable]
AIS_AngleDimension.cxx:1246:10: warning: unused variable 'aPlaneNormal' [-Wunused-variable]
AIS_AngleDimension.cxx:1247:10: warning: unused variable 'aTargetPointsDir' [-Wunused-variable]
AIS_Dimension.cxx:1535:10: warning: unused variable 'aDimensionLine' [-Wunused-variable]
Draw_Window.cxx:182:22: warning: unused variable 'thePixels' [-Wunused-variable]
Draw_Window_1.mm:588:11: warning: unused variable 'aBounds' [-Wunused-variable]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028937)
ski (developer)
2014-04-17 15:59

Unused variables were removed.
Changes are located in branch CR24845.
Please, review.
(0028940)
abv (manager)
2014-04-17 16:40

No remarks, please test
(0029019)
mkv (tester)
2014-04-22 18:30

Dear BugMaster,

Branch CR24845 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 808c5d3199f7c0073df3d54c8019a9b785faf8f7

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 404 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 356102836 / 355845808
Total CPU difference: 60532.63999999999 / 55266.979999999734

Testing on Windows:
Total MEMORY difference: 379533300 / 381861276
Total CPU difference: 36237.625 / 43088.59375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 276130e7
Timestamp: 2014-04-17 11:48:25
Author: abv
Committer: abv
Details ] Diff ]
0024845: CLang warnings -Wunused-variable
Unused variables were removed.
mod - src/AIS/AIS_AngleDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/Draw/Draw_Window.cxx Diff ] File ]
mod - src/Draw/Draw_Window_1.mm Diff ] File ]
mod - src/ShapeFix/ShapeFix_IntersectionTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-16 16:56 ski New Issue
2014-04-16 16:56 ski Assigned To => ski
2014-04-16 16:56 ski Status new => assigned
2014-04-17 15:59 ski Note Added: 0028937
2014-04-17 15:59 ski Assigned To ski => abv
2014-04-17 15:59 ski Status assigned => resolved
2014-04-17 16:40 abv Note Added: 0028940
2014-04-17 16:40 abv Assigned To abv => bugmaster
2014-04-17 16:40 abv Status resolved => reviewed
2014-04-17 16:41 abv Target Version => 6.7.1
2014-04-18 17:15 mkv Assigned To bugmaster => mkv
2014-04-22 18:30 mkv Note Added: 0029019
2014-04-22 18:31 mkv Test case number => Not needed
2014-04-22 18:31 mkv Assigned To mkv => bugmaster
2014-04-22 18:31 mkv Status reviewed => tested
2014-04-28 10:27 abv Changeset attached => occt master 276130e7
2014-04-28 10:27 abv Assigned To bugmaster => abv
2014-04-28 10:27 abv Status tested => verified
2014-04-28 10:27 abv Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker